import { AfterViewChecked, ChangeDetectorRef, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorTooltip } from '../../models/qms-ckeditor-tooltip.model';
interface ITooltip {
    text: string;
    content: string;
}
export declare class QMSCKEditorTooltipComponent extends QMSCKEditorBaseComponent implements OnInit, AfterViewChecked {
    private cdr;
    private translate;
    dialogRef: MatDialogRef<QMSCKEditorTooltipComponent>;
    data: QMSCKEditorTooltip;
    LANG: any;
    tooltipFormGroup: FormGroup;
    tooltip: ITooltip;
    editor: any;
    editorConfig: any;
    constructor(cdr: ChangeDetectorRef, translate: TranslateLibraryService, dialogRef: MatDialogRef<QMSCKEditorTooltipComponent>, data: QMSCKEditorTooltip);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    onCloseDialog(): void;
    getOutputContent(content: string): void;
    onChanged({ editor }: {
        editor: any;
    }): void;
    onBlur({ editor }: {
        editor: any;
    }): void;
    onReady(editor: any): void;
    saveTooltip(): void;
    cancelTooltip(): void;
}
export {};
